| Home | Libraries | People | FAQ | More

## Function template is_strictly_increasing

boost::algorithm::is_strictly_increasing

## Synopsis

    // In header: <boost/algorithm/cxx11/is_sorted.hpp>

    template<typename ForwardIterator>
      bool is_strictly_increasing(ForwardIterator first, ForwardIterator last);

## Description

| Note
This function will return false for sequences that contain items that compare equal. If that is not what you intended, you should use is_increasing instead.

Parameters:

`first` | The start of the sequence to be tested.
`last` | One past the end of the sequence

Returns: | true if the entire sequence is strictly increasing; i.e, each item is greater than the previous one